Bug Hunting Session
Bug 47440 - FILEOPEN: RTF file produced by JapserReport messed up on import
Summary: FILEOPEN: RTF file produced by JapserReport messed up on import
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.5.1 release
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: BSA target:4.2.0 target:4.1.2
Keywords: filter:rtf
Depends on:
Blocks:
 
Reported: 2012-03-17 06:48 UTC by Jean-Baptiste Faure
Modified: 2015-12-17 12:04 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
RTF bugdoc (138.04 KB, application/rtf)
2012-03-17 06:48 UTC, Jean-Baptiste Faure
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jean-Baptiste Faure 2012-03-17 06:48:15 UTC
Created attachment 58602 [details]
RTF bugdoc

Problem description: 

Steps to reproduce:
1. open the attached RTF file with LO 3.5.1

Current behavior: French Republic logo is distorded and at the wrong place.

When I launch LO in a terminal I can see several identical error messages:
.../writerfilter/source/dmapper/GraphicImport.cxx:1486 failed. Message :GraphicCrop

Expected behavior: no error messages, document correctly opened.

Platform (if different from the browser): 
              
Browser: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:11.0) Gecko/20100101 Firefox/11.0
Comment 1 Jean-Baptiste Faure 2012-03-17 06:54:10 UTC
Problem has been detected on MS-Windows and I confirmed it on Linux.
version of JasperReport : 4.5.1
Bug repruduced on LO 3.5.0, 3.5.1, 3.5.2 rc0+, master (LibreOffice 3.6.0alpha0+ 
Build ID: 08ba87c-49d3d39-e67b1bf-879ce36-638d9c)

Miklos: please feel free to reassign if you can't handle this bug.

Best regards. JBF
Comment 2 Miklos Vajna 2013-08-06 14:58:03 UTC
This is still an issue, will fix in a bit; \shpbxpage and \shpbypage is not handled for Writer pictures.
Comment 3 Commit Notification 2013-08-06 15:08:34 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b755df14a431543f1b70246a5e58830a0a480602

fdo#47440 import RTF_SHPBX/YPAGE for Writer pictures, too



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 Miklos Vajna 2013-08-07 08:09:01 UTC
-4-1 review: https://gerrit.libreoffice.org/5303
Comment 5 Commit Notification 2013-08-08 14:35:42 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-4-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=88fec7695f5f3c9574bc305e31120758004493cf&h=libreoffice-4-1

fdo#47440 import RTF_SHPBX/YPAGE for Writer pictures, too


It will be available in LibreOffice 4.1.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 6 Robinson Tryon (qubit) 2015-12-17 12:04:56 UTC
Migrating Whiteboard tags to Keywords: (filter:rtf)
Replace rtf_filter -> filter:rtf.
[NinjaEdit]